Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesystest.net/api/v1.3/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"1bc4ff0b-d53d-4f8d-a52f-18db74929eef","url":null,"fillingId":"0ee65a3f-3fbe-48d1-b84c-06847ccc73e8","fillingUrl":null,"stageId":"4bed7041-32d0-47ce-af1c-54dc06bf67ab","stageUrl":null,"userId":"8695f6e3-d788-4d5d-af53-740e4dd626c5","userUrl":null,"creationDateTime":"2026-04-15T10:49:45.1313838+00:00","lastModifiedDateTime":"2026-04-16T10:49:45.1313838+00:00","value":"Stage Comment 1","medias":[{"id":"4ad83b7a-3ebf-46ca-9da8-47c2386d09c2","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"cb636fe4-2564-453d-8963-c2c813c401e5","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"b2b83892-baf9-437b-acb8-2e798c708bcd","url":null,"fillingId":"8889a83c-74ff-4c22-aed7-e3a25f085b07","fillingUrl":null,"stageId":"e81ab476-a0a0-4500-b0b7-572d8cd86df5","stageUrl":null,"userId":"7eb2d1f9-0485-441e-8eab-a9da5f4ab2aa","userUrl":null,"creationDateTime":"2026-04-15T10:49:45.1313838+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string